import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { debug } from 'util';


let header = new HttpHeaders();
header = header.set('Content-Type', 'application/json; charset=utf-8');
@Injectable({
  providedIn: 'root'
})
export class ProcesswiseproductionreportserviceService {

  baseUrl: string = environment.serviceUrl;
  constructor(private httpClient: HttpClient) { }

  GetProcesswiseProductionReport(data: any): Observable<any> {
    return this.httpClient.post(this.baseUrl + 'api/ReportApi/GetProcessWiseProductionReport',
        data, { headers: header, observe: 'response' });
}

GetJobTitle(data: any): Observable<any> {
  return this.httpClient.post(this.baseUrl + 'api/ReportApi/GetJobTitle',
      data, { headers: header, observe: 'response' });
}
}
